Bug 41381 - mod_jk segfaults, if fail_on_status is used
mod_jk segfaults, if fail_on_status is used
Status: CLOSED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
Other Linux
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-01-16 08:16 UTC by Juri Haberland
Modified: 2008-10-05 03:09 UTC (History)
0 users



Attachments
fix for segfault when using fail_on_status (649 bytes, patch)
2007-01-16 08:17 UTC, Juri Haberland
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Juri Haberland 2007-01-16 08:16:23 UTC
if fail_on_status is used, mod_jk segfaults when a reply with this status is
received.
Problem is a wrong order of arguments to the jk_log() function in file
native/commons/jk_ajp_common.c on line 1851.
Comment 1 Juri Haberland 2007-01-16 08:17:33 UTC
Created attachment 19412 [details]
fix for segfault when using fail_on_status
Comment 2 Rainer Jung 2007-01-16 10:19:05 UTC
Sorry for the trouble, thanks for the patch. Will be part of 1.2.21. As a
workaround you might consider decreasing the log level to warn.
Comment 3 Rainer Jung 2008-01-01 16:32:28 UTC
Move a couple of fixed JK issues from resolved to closed.